ThreeB 1.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
FitSpotsGraphics Class Reference
Storm classes

Graphics class for FittingSpots. More...

`#include <multispot5.h>`

Inheritance diagram for FitSpotsGraphics:

List of all members.

## Public Member Functions
virtual void | init (CVD::ImageRef size)=0
virtual void | draw_krap (const std::vector< TooN::Vector< 4 > > &spots, const CVD::Image< CVD::byte > &im, const BBox &box, int N, TooN::Vector< 4 > s=TooN::Ones *1e99)=0
virtual void | swap ()=0
virtual void | draw_pixels (const std::vector< CVD::ImageRef > &pix, float r, float g, float b, float a=1)=0
virtual void | draw_bbox (const BBox &bbox)=0
virtual void | glDrawCross (const TooN::Vector< 2 > &p, int size=3)=0
virtual | ~FitSpotsGraphics ()

## Detailed Description

Graphics class for FittingSpots.

This abstraction prevents FitSpots from depending on and graphics library. The functions are tied very heavily to the internals of FitSpots.

Definition at line 40 of file multispot5.h.

## Constructor & Destructor Documentation

FitSpotsGraphics::~FitSpotsGraphics | ( |  | ) | `[virtual]`

Desctructor.

Definition at line 90 of file multispot5.cc.

    {}

## Member Function Documentation

virtual void FitSpotsGraphics::init | ( | CVD::ImageRef | size | ) | `[pure virtual]`

Initialize graphics.

Parameters:

  size | Size of window for display

Implemented in NullGraphics.

virtual void FitSpotsGraphics::draw_krap | ( | const std::vector< TooN::Vector< 4 > > & | spots,
|  | const CVD::Image< CVD::byte > & | im,
|  | const BBox & | box,
|  | int | N,
|  | TooN::Vector< 4 > | s = `TooN::Ones *1e99`
| ) |  | `[pure virtual]`

Draw a bunch of stuff.

Parameters:

  spots | List of spots to draw
  im | Background image
  box | Bounding box of region
  N | Spot to highlight
  s | Extra spot to draw as a cross

Implemented in NullGraphics.

virtual void FitSpotsGraphics::swap | ( |  | ) | `[pure virtual]`

Swap buffers if double buffered.

Implemented in NullGraphics.

virtual void FitSpotsGraphics::draw_pixels | ( | const std::vector< CVD::ImageRef > & | pix,
|  | float | r,
|  | float | g,
|  | float | b,
|  | float | a = `1`
| ) |  | `[pure virtual]`

Draw the pixel mask in an (r,g,b,a) tuple colour.

Parameters:

  pix | mask
  r | red
  g | green
  b | blue
  a | alpha

Implemented in NullGraphics.

virtual void FitSpotsGraphics::draw_bbox | ( | const BBox & | bbox | ) | `[pure virtual]`

Draw a bounding box.

Parameters:

  bbox | Box corners

Implemented in NullGraphics.

virtual void FitSpotsGraphics::glDrawCross | ( | const TooN::Vector< 2 > & | p,
|  | int | size = `3`
| ) |  | `[pure virtual]`

Draw a cross.

Parameters:

  p | Position of cross
  size | Size to draw cross

Implemented in NullGraphics.

The documentation for this class was generated from the following files:

- multispot5.h
- multispot5.cc